﻿using System.Collections.Generic;
using System.IO;
using System.Reflection;

namespace SyncfusionTest.Logic
{
    public class ExampleLogic
    {
        public Stream Test()
        {
            using (var stream = ReadTemplateFile("ArtikelKlacht.docx"))
            {
                Syncfusion.DocIO.DLS.WordDocument wordDocument = new Syncfusion.DocIO.DLS.WordDocument();

                WordHandler wordHandler = new WordHandler();
                var filledWordStream =wordHandler.MultiPageReplaceText(stream, new IDictionary<string, string>[0]);
                var pdfStream = new PdfHandler().DocxToPdf(filledWordStream);

                return pdfStream;
            }
        }

        private Stream ReadTemplateFile(string fileName)
        {
            var assembly = Assembly.GetExecutingAssembly();
            var resourceName = $"SyncfusionTest.Logic.Templates.{fileName}";

            return assembly.GetManifestResourceStream(resourceName);
        }
    }
}