﻿using System.IO;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;

namespace SyncfusionTest.Logic.Extensions
{
    public static class WordDocumentExtensions
    {
        /// <summary>
        /// Creates a new memory stream and saves contents of passed document into it.
        /// Resets position after copy.
        /// </summary>
        /// <param name="wordDocument"></param>
        /// <returns></returns>
        public static Stream SaveAsMemoryStream(this WordDocument wordDocument)
        {
            var memoryStream = new MemoryStream();
            wordDocument.Save(memoryStream, FormatType.Docx);
            memoryStream.Position = 0;
            return memoryStream;
        }
    }
}