﻿using System.IO;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIORenderer;
using Syncfusion.XlsIO;
using Syncfusion.XlsIORenderer;
using SyncfusionTest.Logic.Extensions;

namespace SyncfusionTest.Logic
{
    public class PdfHandler
    {
        public Stream DocxToPdf(Stream wordStream)
        {
            using (var loadedDocument = new WordDocument(wordStream, FormatType.Automatic))
            {
                using (var renderer = new DocIORenderer())
                {
                    renderer.Settings.ChartRenderingOptions.ImageFormat = Syncfusion.OfficeChart.ExportImageFormat.Jpeg;
                    using (var pdfDocument = renderer.ConvertToPDF(loadedDocument))
                    {
                        return pdfDocument.SaveAsMemoryStream();
                    }
                }
            }
        }

        public Stream XlsxToPdf(Stream excelStream)
        {
            using (var excelEngine = new ExcelEngine())
            {
                var application = excelEngine.Excel;
                application.DefaultVersion = ExcelVersion.Excel2013;

                var workbook = application.Workbooks.Open(excelStream);
                var renderer = new XlsIORenderer();
                var pdfDocument = renderer.ConvertToPDF(workbook);

                return pdfDocument.SaveAsMemoryStream();
            }
        }
    }
}